<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [three-loader-3dtiles](./three-loader-3dtiles.md) &gt; [LoaderProps](./three-loader-3dtiles.loaderprops.md) &gt; [onProgress](./three-loader-3dtiles.loaderprops.onprogress.md)

## LoaderProps.onProgress() method

a loading progress callback function

<b>Signature:</b>

```typescript
onProgress?(progress: number | ProgressEvent<EventTarget>, total?: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  progress | number \| ProgressEvent&lt;EventTarget&gt; |  |
|  total | number |  |

<b>Returns:</b>

void

